/*
 * THIS FILES HOLDS ALL POSSIBLE ACTION WE WILL BE USING IN OUR APP
 */

/*
 * ACTIONS THAT DESCRIBES SET IP FOR OPENHAB PROCESS
 */
export const SET_URL_OPENHAB = 'SET_URL_OPENHAB';

/*
 * ACTIONS THAT DESCRIBES RESET VALUES PROCESS
 */
export const RESET = 'RESET';

/*
 * ACTIONS THAT DESCRIBES SET RSSI AND PERSIST PROCESS
 */
export const SET_RSSI = 'SET_RSSI';
export const SET_RSSI_SUCCESS = 'SET_RSSI_SUCCESS';
export const SET_RSSI_FAILURE = 'SET_RSSI_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET BATTERY AND PERSIST PROCESS
 */
export const SET_BATT = 'SET_BATT';
export const SET_BATT_SUCCESS = 'SET_BATT_SUCCESS';
export const SET_BATT_FAILURE = 'SET_BATT_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET FIRMWARE AND PERSIST PROCESS
 */
export const SET_FIRMWARE = 'SET_FIRMWARE';
export const SET_FIRMWARE_SUCCESS = 'SET_FIRMWARE_SUCCESS';
export const SET_FIRMWARE_FAILURE = 'SET_FIRMWARE_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET SERIAL AND PERSIST PROCESS
 */
export const SET_SERIAL = 'SET_SERIAL';
export const SET_SERIAL_SUCCESS = 'SET_SERIAL_SUCCESS';
export const SET_SERIAL_FAILURE = 'SET_SERIAL_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET TIME AND PERSIST PROCESS
 */
export const SET_TIME = 'SET_TIME';
export const SET_TIME_SUCCESS = 'SET_TIME_SUCCESS';
export const SET_TIME_FAILURE = 'SET_TIME_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET STEPS AND PERSIST PROCESS
 */
export const SET_STEPS = 'SET_STEPS';
export const SET_STEPS_SUCCESS = 'SET_STEPS_SUCCESS';
export const SET_STEPS_FAILURE = 'SET_STEPS_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET DISTANCE AND PERSIST PROCESS
 */
export const SET_DISTANCE = 'SET_DISTANCE';
export const SET_DISTANCE_SUCCESS = 'SET_DISTANCE_SUCCESS';
export const SET_DISTANCE_FAILURE = 'SET_DISTANCE_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET CALORIES AND PERSIST PROCESS
 */
export const SET_CALORIES = 'SET_CALORIES';
export const SET_CALORIES_SUCCESS = 'SET_CALORIES_SUCCESS';
export const SET_CALORIES_FAILURE = 'SET_CALORIES_FAILURE';

/*
 * ACTIONS THAT DESCRIBES SET HEAR RATE AND PERSIST PROCESS
 */
export const SET_HEARRATE = 'SET_HEARRATE';
export const SET_HEARTRATE_SUCCESS = 'SET_HEARTRATE_SUCCESS';
export const SET_HEARTRATE_FAILURE = 'SET_HEARTRATE_FAILURE';

export const PERSIST_DATA_SUCCESS = 'PERSIST_DATA_SUCCESS';
export const PERSIST_DATA_FAILURE = 'PERSIST_DATA_FAILURE';
